<h1 mat-dialog-title>Anmelden</h1>
<div mat-dialog-content>

        <mat-form-field fxLayout="row">
          <mat-label>Email</mat-label>
          <input matInput [(ngModel)]='data.email' >
          <!--<mat-error *ngIf="emailFormControl.hasError('email') && !emailFormControl.hasError('required')">
            Bitte geben Sie eine gültige Email-Adresse an
          </mat-error>
          <mat-error *ngIf="emailFormControl.hasError('required')">
            Email-Adresse <strong>erforderlich</strong>
          </mat-error>>-->
        </mat-form-field>
        <mat-form-field fxLayout="row">
            <mat-label>Passwort</mat-label>
            <input matInput [type]="hide ? 'password' : 'text'" [(ngModel)]='data.password'>
            <button mat-icon-button matSuffix (click)="hide = !hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
            </button>
          </mat-form-field>
          <a fxLayout="row">Passwort vergessen?</a>
      
</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Abbrechen</button>
  <button mat-button [mat-dialog-close]="data" cdkFocusInitial>Anmelden</button>
</div>
